# WoopsiUI::WindowBorderTop Class Reference

`#include <windowbordertop.h>`

Inheritance diagram for WoopsiUI::WindowBorderTop:

List of all members.

## Public Member Functions
| WindowBorderTop (s16 x, u16 width, u16 height, Window *window, FontBase *font=NULL)
virtual void | draw (Rect clipRect)
virtual bool | focus ()
virtual bool | blur ()
## Protected Member Functions
virtual | ~WindowBorderTop ()
| WindowBorderTop (const WindowBorderTop &windowBorderTop)
## Protected Attributes
Window * | _window

## Detailed Description

Class providing a gadget that mimics the appearance of the AmigaOS 3.x window title bar. Forms part of the AmigaWindow gadget.

## Constructor & Destructor Documentation

WindowBorderTop::WindowBorderTop | ( | s16 | x,
|  | u16 | width,
|  | u16 | height,
|  | Window * | window,
|  | FontBase * | font = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the gadget.
  | width | The width of the gadget.
  | height | The height of the gadget.
  | window | Pointer to the window that contains this border.
  | font | The font to display the text with.

virtual WoopsiUI::WindowBorderTop::~WindowBorderTop | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::WindowBorderTop::WindowBorderTop | ( | const WindowBorderTop & | windowBorderTop | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

bool WindowBorderTop::blur | ( |  | ) | `[virtual]`

Remove focus from the gadget.

Returns:
  True if the gadget lost focus correctly.

Reimplemented from WoopsiUI::Gadget.

void WindowBorderTop::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the draw() function to draw all visible regions.

Parameters:

  | clipRect | The clipping region to draw.

See also:
  draw()

Reimplemented from WoopsiUI::Gadget.

Reimplemented in WoopsiUI::SkinnedWindowBorderTop.

bool WindowBorderTop::focus | ( |  | ) | `[virtual]`

Give the gadget focus.

Returns:
  True if the gadget received focus correctly.

Reimplemented from WoopsiUI::Gadget.

## Member Data Documentation

Window* WoopsiUI::WindowBorderTop::_window`[protected]`

Pointer to the containing window

The documentation for this class was generated from the following files:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/windowbordertop.h
- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/windowbordertop.cpp

All Classes Functions Variables Enumerations Enumerator